[cogl] test-launcher: Pass on the exit code
- From: Neil Roberts <nroberts src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [cogl] test-launcher: Pass on the exit code
- Date: Wed, 7 Dec 2011 19:03:46 +0000 (UTC)
commit fcaca87fd452511fb8965eeb4019dcbadc84d075
Author: Neil Roberts <neil linux intel com>
Date: Wed Nov 30 11:20:11 2011 +0000
test-launcher: Pass on the exit code
This makes the test launcher script pass on the exit code from the
conformance test as its own exit status. This makes using a particular
test with git bisect run easier.
https://bugzilla.gnome.org/show_bug.cgi?id=665190
Reviewed-by: Robert Bragg <robert linux intel com>
tests/conform/test-launcher.sh.in | 3 +++
1 files changed, 3 insertions(+), 0 deletions(-)
---
diff --git a/tests/conform/test-launcher.sh.in b/tests/conform/test-launcher.sh.in
index 0be13bd..5abe285 100755
--- a/tests/conform/test-launcher.sh.in
+++ b/tests/conform/test-launcher.sh.in
@@ -13,6 +13,7 @@ UNIT_TEST=`basename ${UNIT_TEST_PATH}`
echo "Running: ./test-conformance -p ${UNIT_TEST_PATH} $@"
echo ""
@abs_builddir@/test-conformance -p ${UNIT_TEST_PATH} "$@"
+exit_val=$?
echo ""
echo "NOTE: For debugging purposes, you can run this single test as follows:"
@@ -23,3 +24,5 @@ echo "or:"
echo "$ env G_SLICE=always-malloc \\"
echo " libtool --mode=execute \\"
echo " valgrind ./test-conformance -p ${UNIT_TEST_PATH}"
+
+exit $exit_val
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]